Incidencia #43362

Meson: Bump minimum meson requirement to 0.57.0 for Qt6 module

Abrir Fecha: 2021-12-09 18:23 Última actualización: 2022-05-15 03:54

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
2

Details

Qt6 module is available since meson version 0.57.0. Make that the minimum requirement, so we can add Qt6 support (in a separate ticket)

As part of #43200, this has also been posted to http://forum.freeciv.org/f/viewtopic.php?f=14&t=92096

Ticket History (3/12 Histories)

2021-12-09 18:23 Updated by: cazfi
  • New Ticket "Meson: Bump minimum meson requirement to 0.57.0 for Qt6 module" created
2021-12-09 18:32 Updated by: cazfi
Comentario

Reply To cazfi

we can add Qt6 support (in a separate ticket)

-> #43364

2021-12-10 02:20 Updated by: cazfi
  • Details Updated
2022-01-05 09:05 Updated by: cazfi
  • Resolución Update from Ninguno to Accepted
2022-01-11 19:26 Updated by: cazfi
Comentario

CI currently does meson build with older version. That needs to be resolved before this patch can go forward.

One option is to simply wait that CI can be switched to use ubuntu-22.04 (-> #43598)

2022-01-12 00:22 Updated by: cazfi
  • Resolución Update from Accepted to Ninguno
Comentario

Will need rebasing when it's time to apply this.

2022-04-28 09:31 Updated by: cazfi
Comentario

This will also enable #42935

2022-04-28 16:57 Updated by: cazfi
Comentario

Reply To cazfi

One option is to simply wait that CI can be switched to use ubuntu-22.04 (-> #43598)

The other option is installing new meson to existing system (-> #44477)

2022-05-06 10:09 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
Comentario

Reply To cazfi

Will need rebasing when it's time to apply this.

Rebased

2022-05-15 03:54 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar